angular.module('focaModalPrecioCondicion')
    .service('focaModalPrecioCondicionService', [
        '$http',
        'API_ENDPOINT',
        function($http, API_ENDPOINT) {
            return {
                getPlazosByIdPrecioCondicion: function(id) {
                    return $http.get(API_ENDPOINT.URL + '/plazo-pago/precio-condicion/' + id);
                },
                getPreciosCondiciones: function() {
                    return $http.get(API_ENDPOINT.URL + '/precio-condicion/plazo-pago');
                },
                getPreciosCondicionesByIdListaPrecio: function(idListaPrecio) {
                    return $http.get(API_ENDPOINT.URL + '/precio-condicion/plazo-pago/' +
                        idListaPrecio);
                }
            };
        }
    ]);
